From a3f090d8ed55e5e2c0c595b9bf0e244a81ce1464 Mon Sep 17 00:00:00 2001
From: Merlijn Wajer <merlijn@wizzup.org>
Date: Wed, 22 Aug 2018 11:41:16 +0200
Subject: [PATCH] src/Makefile: respect CFLAGS

---
 src/Makefile  | 19 +++++--------------
 src/config.mk |  6 +++---
 2 files changed, 8 insertions(+), 17 deletions(-)

diff --git a/src/Makefile b/src/Makefile
index f1c6d4a..ee8845d 100644
--- a/src/Makefile
+++ b/src/Makefile
@@ -5,25 +5,16 @@ include config.mk
 SRC = accuraterip-checksum.c
 OBJ = ${SRC:.c=.o}
 
-all: options accuraterip-checksum
-
-options:
-	@echo accuraterip-checksum build options:
-	@echo "CFLAGS   = ${CFLAGS}"
-	@echo "LDFLAGS  = ${LDFLAGS}"
-	@echo "CC       = ${CC}"
+all: accuraterip-checksum
 
 .c.o:
-	@echo CC $<
-	@${CC} -c ${CFLAGS} $<
+	${CC} -c ${OURCFLAGS} $<
 
 accuraterip-checksum: ${OBJ}
-	@echo CC -o $@
-	@${CC} -o $@ ${OBJ} ${LDFLAGS}
+	${CC} -std=c99 -lsndfile -o $@ ${OBJ} ${OURCFLAGS} ${OURLDFLAGS}
 
 clean:
-	@echo cleaning
-	@rm -f accuraterip-checksum ${OBJ} accuraterip-checksum-${VERSION}.tar.gz
+	rm -f accuraterip-checksum ${OBJ} accuraterip-checksum-${VERSION}.tar.gz
 
 dist: clean
 	@echo creating dist tarball
@@ -44,4 +35,4 @@ uninstall:
 	@echo removing executable file from ${DESTDIR}${PREFIX}/bin
 	@rm -f ${DESTDIR}${PREFIX}/bin/accuraterip-checksum
 
-.PHONY: all options clean dist install uninstall
+.PHONY: all clean dist install uninstall
diff --git a/src/config.mk b/src/config.mk
index 283d745..87fe219 100644
--- a/src/config.mk
+++ b/src/config.mk
@@ -4,8 +4,8 @@ VERSION = 1.4
 PREFIX = /usr/local
 
 # flags
-CFLAGS   = -std=c99
-LDFLAGS  = -lsndfile
+OURCFLAGS   = ${CFLAGS} -std=c99
+OURLDFLAGS  = ${LDFLAGS} -lsndfile
 
 # compiler and linker
-CC = cc
+CC ?= cc
-- 
2.16.4

